# Generated by Django 2.2.7 on 2020-01-31 13:59

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('establishment', '0092_merge_20200131_0835'),
    ]

    operations = [
        migrations.CreateModel(
            name='EstablishmentBackOfficeWine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bottles', models.IntegerField(default=0, validators=[django.core.validators.MinValueValidator(0)])),
                ('price_from', models.DecimalField(decimal_places=2, max_digits=14, verbose_name='price from')),
                ('price_to', models.DecimalField(decimal_places=2, max_digits=14, verbose_name='price to')),
                ('price_from_for_one', models.DecimalField(decimal_places=2, default=None, max_digits=14, null=True, verbose_name='price for one item from')),
                ('price_to_for_one', models.DecimalField(decimal_places=2, default=None, max_digits=14, null=True, verbose_name='price for one item to')),
                ('is_glass', models.BooleanField(default=False, verbose_name='served in glass')),
                ('establishment', models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='back_office_wine', to='establishment.Establishment', verbose_name='establishment')),
            ],
            options={
                'verbose_name': 'establishment back office wine',
                'verbose_name_plural': 'establishment back office wines',
            },
        ),
        migrations.AddField(
            model_name='menu',
            name='type',
            field=models.CharField(choices=[('formulas', 'formulas'), ('starter', 'starter'), ('dessert', 'dessert'), ('main_course', 'main_course')], db_index=True, default='formulas', max_length=50, verbose_name='Menu type'),
        ),
        migrations.DeleteModel(
            name='MenuUploads',
        ),
    ]
